<template>
  <div class="">
    <!--    <el-table ref="multipleTable" :data="tableData" tooltip-effect="dark" style="width: 100%">-->
    <!--      <el-table-column prop="define" label="建议处置措施" show-overflow-tooltip></el-table-column>-->
    <!--      <el-table-column type="selection" label="预览" width="55"></el-table-column>-->

    <!--    </el-table>-->
    <div class="" style="padding: 5px;">
      <!--      <div v-for="o in tableData" :key="o" class="text item">-->
      <!--        {{ o.content }}-->
      <!--      </div>-->
      <div>
        <h4 class="sub-title ">管线基本信息</h4>
        <div>
          事件管线：
          <div class="report-con">
            生产1区管线A，介质为含油污水，埋设方式为直埋，材质为无缝钢管，附属设施阀门A。
          </div>
          上游管线
          <div class="report-con">
            生产2区管线B，介质为含油污水，埋设方式为直埋，材质为无缝钢管，附属设施阀门B
          </div>
          <div class="report-con">
            生产2区管线C，介质为含油污水，埋设方式为直埋，材质为无缝钢管，附属设施阀门C
          </div>
          下游管线
          <div class="report-con">
            生产2区管线D，介质为含油污水，埋设方式为直埋，材质为无缝钢管，附属设施阀门D
          </div>
          事件范围内
          <div class="report-con">
            装置区雨水线，介质为雨水管线，埋设方式为明沟 ，材质为无水泥，附属设施截流闸
          </div>
          <div class="report-con">
            装置区雨水线，介质为雨水管线，埋设方式为明沟 ，材质为无水泥，附属设施截流闸
          </div>
        </div>
        <div>
          <h3 class="sub-title">环境分析报告</h3>
          <el-table :data="envTableData" style="width: 100%">
            <el-table-column prop="process" label="建议处置措施"></el-table-column>
            <el-table-column prop="operation" label="操作">
              <template slot-scope="scope">
                <el-button class="link-btn" @click="handleClickView(scope.row)" type="text" size="mini">预览</el-button>
              </template>
            </el-table-column>
          </el-table>
        </div>

        <div>

        </div>
      </div>
    </div>
    <div>
    </div>

  </div>
</template>

<script>
export default {
  name: 'DisposalProposed',
  data () {
    return {
      tableData: [
        {
          no: 1,
          name: '关闭阀门',
          content: '1、关闭阀门B、阀门C，对上游管道进行截流；关闭阀门D，对下游管道进行截流',
          type: 'closeFM',
          fmGxList: {
            // 上游阀门
            syfm: [{
              name: '阀门B',
              lng: 114,
              lat: 32
            }, {
              name: '阀门a',
              lng: 114,
              lat: 32
            }],
            // 下游阀门
            xyfm: [{
              name: '阀门E',
              lng: 114,
              lat: 32
            }, {
              name: '阀门F',
              lng: 114,
              lat: 32
            }]
          }
        }, {
          no: 1,
          name: '关闭阀门',
          content: '1、关闭阀门B、阀门C，对上游管道进行截流；关闭阀门D，对下游管道进行截流',
          type: 'closeFM',
          fmGxList: {
            // 上游阀门
            syfm: [{
              name: '阀门B',
              lng: 114,
              lat: 32
            }, {
              name: '阀门a',
              lng: 114,
              lat: 32
            }],
            // 下游阀门
            xyfm: [{
              name: '阀门E',
              lng: 114,
              lat: 32
            }, {
              name: '阀门F',
              lng: 114,
              lat: 32
            }]
          }
        }, {
          no: 1,
          name: '关闭阀门',
          content: '1、关闭阀门B、阀门C，对上游管道进行截流；关闭阀门D，对下游管道进行截流',
          type: 'closeFM',
          fmGxList: {
            // 上游阀门
            syfm: [{
              name: '阀门B',
              lng: 114,
              lat: 32
            }, {
              name: '阀门a',
              lng: 114,
              lat: 32
            }],
            // 下游阀门
            xyfm: [{
              name: '阀门E',
              lng: 114,
              lat: 32
            }, {
              name: '阀门F',
              lng: 114,
              lat: 32
            }]
          }
        }],
      envTableData: [
        {
          process: '1、关闭阀门B、阀门C，对上游管道进行截流；关闭阀门D，对下游管道进行截流'
        },
        {
          process: '2.通过跨线/旁路（XXX污水管线）进行导流'
        }, {
          process: '3.展示受影响污水管线及外排口'
        }

      ]
    }
  },
  methods: {
    handleClickView (item) {
      console.log(item)
    },
    handleClickDownload (item) {
      console.log(item)
    }
  }
}
</script>

<style lang="less" scoped>
.report-con{

  color: @color;
}
</style>
